## Class TCheckBoxColumn

Description

TCheckBoxColumn class

TCheckBoxColumn represents a checkbox column that is bound to a field in a data source. The checked state of the checkboxes are determiend by the bound data at DataField. If ReadOnly is false, TCheckBoxColumn will display an enabled checkbox provided the cells are in edit mode. Otherwise, the checkboxes will be disabled to prevent from editting.

The checkbox control in the TCheckBoxColumn can be accessed by one of the following two methods:

     $datagridItem->CheckBoxColumnID->CheckBox
     $datagridItem->CheckBoxColumnID->Controls[0]

The second method is possible because the checkbox control created within the datagrid cell is the first child.

- since: 3.0
- version: $Id: TCheckBoxColumn.php 1673 2007-02-05 21:55:51Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TCheckBoxColumn.php (line 45)

    TComponent
       |
       --TApplicationComponent
          |
          --TDataGridColumn
             |
             --TCheckBoxColumn

Method Summary
void dataBindColumn (mixed $sender, mixed $param)
string getDataField ()
boolean getReadOnly ()
void initializeCell (TTableCell $cell, integer $columnIndex, string $itemType)
void setDataField (string $value)
void setReadOnly (boolean $value)
Methods
dataBindColumn (line 111)

Databinds a cell in the column.

This method is invoked when datagrid performs databinding. It populates the content of the cell with the relevant data from data source.

- access: public

void dataBindColumn (mixed $sender, mixed $param)
getDataField (line 50)

- return: the field name from the data source to bind to the column
- access: public

string getDataField ()
getReadOnly (line 66)

- return: whether the items in the column can be edited. Defaults to false.
- access: public

boolean getReadOnly ()
initializeCell (line 89)

Initializes the specified cell to its initial values.

This method overrides the parent implementation. It creates a checkbox inside the cell. If the column is read-only or if the item is not in edit mode, the checkbox will be set disabled.

- access: public

void initializeCell (TTableCell $cell, integer $columnIndex, string $itemType)

- TTableCell $cell: the cell to be initialized.
- integer $columnIndex: the index to the Columns property that the cell resides in.
- string $itemType: the type of cell (Header,Footer,Item,AlternatingItem,EditItem,SelectedItem)

Redefinition of:

TDataGridColumn::initializeCell()
  Initializes the specified cell to its initial values.

setDataField (line 58)

- access: public

void setDataField (string $value)

- string $value: the field name from the data source to bind to the column

setReadOnly (line 74)

- access: public

void setReadOnly (boolean $value)

- boolean $value: whether the items in the column can be edited

#### Inherited Methods

Inherited From TDataGridColumn

> TDataGridColumn::formatDataValue()
> TDataGridColumn::getAllowSorting()
> TDataGridColumn::getDataFieldValue()
> TDataGridColumn::getEnableCellGrouping()
> TDataGridColumn::getFooterRenderer()
> TDataGridColumn::getFooterStyle()
> TDataGridColumn::getFooterText()
> TDataGridColumn::getHeaderImageUrl()
> TDataGridColumn::getHeaderRenderer()
> TDataGridColumn::getHeaderStyle()
> TDataGridColumn::getHeaderText()
> TDataGridColumn::getID()
> TDataGridColumn::getItemStyle()
> TDataGridColumn::getOwner()
> TDataGridColumn::getSortExpression()
> TDataGridColumn::getViewState()
> TDataGridColumn::getVisible()
> TDataGridColumn::initialize()
> TDataGridColumn::initializeCell()
> TDataGridColumn::initializeFooterCell()
> TDataGridColumn::initializeHeaderCell()
> TDataGridColumn::loadState()
> TDataGridColumn::saveState()
> TDataGridColumn::setEnableCellGrouping()
> TDataGridColumn::setFooterRenderer()
> TDataGridColumn::setFooterText()
> TDataGridColumn::setHeaderImageUrl()
> TDataGridColumn::setHeaderRenderer()
> TDataGridColumn::setHeaderText()
> TDataGridColumn::setID()
> TDataGridColumn::setOwner()
> TDataGridColumn::setSortExpression()
> TDataGridColumn::setViewState()
> TDataGridColumn::setVisible()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:33:06 -0400 by phpDocumentor 1.3.0RC4